<div class="flex flex-row gap-x-5 p-5">
  <!-- <mat-card class="mat-elevation-z4">
    <mat-card-header>
      <mat-card-title>Cartographie du défaut</mat-card-title>
      <mat-card-subtitle>en cas de défaut répétitif</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-divider inset="true"></mat-divider>

      <div class="flex p-5 gap-x-5 items-end">
        <div class="container mx-auto border rounded h-44 w-44"></div>
        <div class="flex justify-end mr-5">
          <button mat-button color="primary">Effacer</button>
        </div>
      </div>
    </mat-card-content>
  </mat-card> -->

  <!-- ----------------------------------------------------------------------- -->
  <!--                            commentaire card                             -->
  <!-- ----------------------------------------------------------------------- -->

  <mat-card class="mat-elevation-z4">
    <mat-card-header>
      <mat-card-title>Commentaires</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <mat-divider inset="true"></mat-divider>

      <div class="flex p-5">
        <mat-form-field appearance="outline">
          <mat-label>Commentaires</mat-label>

          <textarea
            matInput
            cdkTextareaAutosize
            #autosize="cdkTextareaAutosize"
            cdkAutosizeMinRows="4"
            cdkAutosizeMaxRows="5"
            [formControl]="commentaire"
          ></textarea>
        </mat-form-field>
      </div>
    </mat-card-content>
  </mat-card>
  <button
    mat-raised-button
    color="primary"
    class="self-end"
    style="margin-left: auto; margin-right: 2rem"
    (click)="enregistrerClick()"
  >
    Enregistrer
  </button>
</div>
